#
# Makefile generated by MKF configure script
#

all: _Generic/Counter/SelfTest _Generic/RegisterFile/SelfTest _Generic/Shifter/SelfTest _Generic/Select/Pseudo_LRU/SelfTest _Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Branch_History_Table/SelfTest _Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Pattern_History_Table/SelfTest _Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Two_Level_Branch_Predictor_Glue/SelfTest

_Generic/Counter/SelfTest:
	gmake all -C Generic/Counter/SelfTest

_Generic/RegisterFile/SelfTest:
	gmake all -C Generic/RegisterFile/SelfTest

_Generic/Shifter/SelfTest:
	gmake all -C Generic/Shifter/SelfTest

_Generic/Select/Pseudo_LRU/SelfTest:
	gmake all -C Generic/Select/Pseudo_LRU/SelfTest

_Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Branch_History_Table/SelfTest:
	gmake all -C Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Branch_History_Table/SelfTest

_Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Pattern_History_Table/SelfTest:
	gmake all -C Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Pattern_History_Table/SelfTest

_Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Two_Level_Branch_Predictor_Glue/SelfTest:
	gmake all -C Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Two_Level_Branch_Predictor_Glue/SelfTest

clean:
	gmake clean -C Generic/Counter/SelfTest
	gmake clean -C Generic/RegisterFile/SelfTest
	gmake clean -C Generic/Shifter/SelfTest
	gmake clean -C Generic/Select/Pseudo_LRU/SelfTest
	gmake clean -C Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Branch_History_Table/SelfTest
	gmake clean -C Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Pattern_History_Table/SelfTest
	gmake clean -C Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Two_Level_Branch_Predictor_Glue/SelfTest

re: clean all

install:
	gmake install -C Generic/Counter/SelfTest
	gmake install -C Generic/RegisterFile/SelfTest
	gmake install -C Generic/Shifter/SelfTest
	gmake install -C Generic/Select/Pseudo_LRU/SelfTest
	gmake install -C Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Branch_History_Table/SelfTest
	gmake install -C Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Pattern_History_Table/SelfTest
	gmake install -C Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Two_Level_Branch_Predictor_Glue/SelfTest

